(function (lib, img, cjs) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1800,
	height: 850,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap10.png", id:"Bitmap10"},
		{src:"images/Bitmap11.png", id:"Bitmap11"},
		{src:"images/Bitmap12.png", id:"Bitmap12"},
		{src:"images/Bitmap13.png", id:"Bitmap13"},
		{src:"images/Bitmap2.png", id:"Bitmap2"},
		{src:"images/Bitmap3.png", id:"Bitmap3"},
		{src:"images/Bitmap4.png", id:"Bitmap4"},
		{src:"images/Bitmap5.png", id:"Bitmap5"},
		{src:"images/Bitmap6.png", id:"Bitmap6"},
		{src:"images/Bitmap7.png", id:"Bitmap7"},
		{src:"images/Bitmap8.png", id:"Bitmap8"},
		{src:"images/Bitmap9.png", id:"Bitmap9"}
	]
};

// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(916.5,389,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(921.3,445,1770.2,816.9);
p.frameBounds = [rect];


// symbols:
(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,271,374);


(lib.Bitmap10 = function() {
	this.initialize(img.Bitmap10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,271,374);


(lib.Bitmap11 = function() {
	this.initialize(img.Bitmap11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,271,374);


(lib.Bitmap12 = function() {
	this.initialize(img.Bitmap12);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,271,374);


(lib.Bitmap13 = function() {
	this.initialize(img.Bitmap13);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,286,388);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,271,374);


(lib.Bitmap3 = function() {
	this.initialize(img.Bitmap3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,271,374);


(lib.Bitmap4 = function() {
	this.initialize(img.Bitmap4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,271,374);


(lib.Bitmap5 = function() {
	this.initialize(img.Bitmap5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,271,374);


(lib.Bitmap6 = function() {
	this.initialize(img.Bitmap6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,271,374);


(lib.Bitmap7 = function() {
	this.initialize(img.Bitmap7);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,271,374);


(lib.Bitmap8 = function() {
	this.initialize(img.Bitmap8);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,271,374);


(lib.Bitmap9 = function() {
	this.initialize(img.Bitmap9);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,271,374);


(lib.m12 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap12();
	this.instance.setTransform(-135.4,-187.1);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-135.4,-187.1,271,374);
p.frameBounds = [rect];


(lib.m11 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap11();
	this.instance.setTransform(-135.4,-187.1);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-135.4,-187.1,271,374);
p.frameBounds = [rect];


(lib.m10 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap10();
	this.instance.setTransform(-135.4,-187.1);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-135.4,-187.1,271,374);
p.frameBounds = [rect];


(lib.m9 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap9();
	this.instance.setTransform(-135.4,-187.1);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-135.4,-187.1,271,374);
p.frameBounds = [rect];


(lib.m8 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap8();
	this.instance.setTransform(-135.4,-187.1);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-135.4,-187.1,271,374);
p.frameBounds = [rect];


(lib.m7 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap7();
	this.instance.setTransform(-135.4,-187.1);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-135.4,-187.1,271,374);
p.frameBounds = [rect];


(lib.m6 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap6();
	this.instance.setTransform(-135.4,-187.1);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-135.4,-187.1,271,374);
p.frameBounds = [rect];


(lib.m5 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap5();
	this.instance.setTransform(-135.4,-187.1);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-135.4,-187.1,271,374);
p.frameBounds = [rect];


(lib.m4 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap4();
	this.instance.setTransform(-135.4,-187.1);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-135.4,-187.1,271,374);
p.frameBounds = [rect];


(lib.m3 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap3();
	this.instance.setTransform(-135.4,-187.1);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-135.4,-187.1,271,374);
p.frameBounds = [rect];


(lib.m2 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap2();
	this.instance.setTransform(-135.4,-187.1);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-135.4,-187.1,271,374);
p.frameBounds = [rect];


(lib.m1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap1();
	this.instance.setTransform(-135.4,-187.1);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-135.4,-187.1,271,374);
p.frameBounds = [rect];


(lib.gfx_front = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap13();
	this.instance.setTransform(-143,-193.8);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-143,-193.8,286,388);
p.frameBounds = [rect];


(lib._12 = function() {
	this.initialize();

	// Layer 2
	this.back = new lib.m12();
	this.back.setTransform(76.1,105.1);

	// front
	this.instance = new lib.gfx_front();
	this.instance.setTransform(82.4,110.9);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-60.6,-82.9,286,388);
p.frameBounds = [rect];


(lib._11 = function() {
	this.initialize();

	// Layer 4
	this.back = new lib.m11();
	this.back.setTransform(76.1,105.1);

	// front
	this.instance = new lib.gfx_front();
	this.instance.setTransform(82.4,110.9);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-60.6,-82.9,286,388);
p.frameBounds = [rect];


(lib._10 = function() {
	this.initialize();

	// Layer 2
	this.back = new lib.m10();
	this.back.setTransform(76.1,105.1);

	// front
	this.instance = new lib.gfx_front();
	this.instance.setTransform(82.4,110.9);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-60.6,-82.9,286,388);
p.frameBounds = [rect];


(lib._09 = function() {
	this.initialize();

	// Layer 4
	this.back = new lib.m9();
	this.back.setTransform(76.1,105.1);

	// front
	this.instance = new lib.gfx_front();
	this.instance.setTransform(82.4,110.9);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-60.6,-82.9,286,388);
p.frameBounds = [rect];


(lib._08 = function() {
	this.initialize();

	// Layer 2
	this.back = new lib.m8();
	this.back.setTransform(76.1,105.1);

	// front
	this.instance = new lib.gfx_front();
	this.instance.setTransform(82.4,110.9);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-60.6,-82.9,286,388);
p.frameBounds = [rect];


(lib._07 = function() {
	this.initialize();

	// Layer 4
	this.back = new lib.m7();
	this.back.setTransform(76.1,105.1);

	// front
	this.instance = new lib.gfx_front();
	this.instance.setTransform(82.4,110.9);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-60.6,-82.9,286,388);
p.frameBounds = [rect];


(lib._06 = function() {
	this.initialize();

	// Layer 2
	this.back = new lib.m6();
	this.back.setTransform(76.1,105.1);

	// front
	this.instance = new lib.gfx_front();
	this.instance.setTransform(82.4,110.9);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-60.6,-82.9,286,388);
p.frameBounds = [rect];


(lib._05 = function() {
	this.initialize();

	// Layer 4
	this.back = new lib.m5();
	this.back.setTransform(76.1,105.1);

	// front
	this.instance = new lib.gfx_front();
	this.instance.setTransform(82.4,110.9);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-60.6,-82.9,286,388);
p.frameBounds = [rect];


(lib._04 = function() {
	this.initialize();

	// Layer 2
	this.back = new lib.m4();
	this.back.setTransform(76.1,105.1);

	// front
	this.instance = new lib.gfx_front();
	this.instance.setTransform(82.4,110.9);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-60.6,-82.9,286,388);
p.frameBounds = [rect];


(lib._03 = function() {
	this.initialize();

	// Layer 2
	this.back = new lib.m3();
	this.back.setTransform(76.1,105.1);

	// front
	this.instance = new lib.gfx_front();
	this.instance.setTransform(82.4,110.9);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-60.6,-82.9,286,388);
p.frameBounds = [rect];


(lib._02 = function() {
	this.initialize();

	// Layer 2
	this.back = new lib.m2();
	this.back.setTransform(76.1,105.1);

	// front
	this.instance = new lib.gfx_front();
	this.instance.setTransform(82.4,110.9);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-60.6,-82.9,286,388);
p.frameBounds = [rect];


(lib._01 = function() {
	this.initialize();

	// Layer 2
	this.back = new lib.m1();
	this.back.setTransform(76.1,105.1);

	// front
	this.instance = new lib.gfx_front();
	this.instance.setTransform(82.4,110.9);

	this.addChild(this.instance,this.back);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-60.6,-82.9,286,388);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Sortowanie */
		var config = {
			id: '3465',
			title: 'Dopasuj odpowiednio karty w pary.',
			type: 'memo',
			container: this,
			/*
			groups: {		
				1: [1,2,3,4],
				2: [5,6],
				3: [7,8]
			},
			*/
			prefix: 'item_',
			results: [
			
			],
			range: 20,
			alpha: 0,
			alpha2: 0,
			//scale: 0.8,
			//zindex: 0
		}
		
		
		exerciseOnInit(config);
		
		this.stop();
		
		/* Help */
		
		/* 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groups - Lista grup oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		scale - Skalowanie obiektu po upuszczeniu
		zindex - Warstwa obiektu
		*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// content
	this.item_6_b = new lib._12();
	this.item_6_b.setTransform(1640.5,636.7,1,1,0,0,0,76.2,105);

	this.item_6_a = new lib._11();
	this.item_6_a.setTransform(1343.9,636.7,1,1,0,0,0,76.2,105);

	this.item_5_b = new lib._10();
	this.item_5_b.setTransform(1047.5,636.7,1,1,0,0,0,76.2,105);

	this.item_5_a = new lib._09();
	this.item_5_a.setTransform(751,636.7,1,1,0,0,0,76.2,105);

	this.item_4_b = new lib._08();
	this.item_4_b.setTransform(454.6,637,1,1,0,0,0,76.2,105.2);

	this.item_4_a = new lib._07();
	this.item_4_a.setTransform(158.1,637,1,1,0,0,0,76.2,105.2);

	this.item_3_b = new lib._06();
	this.item_3_b.setTransform(1642.2,208.1,1,1,0,0,0,76.1,105.2);

	this.item_3_a = new lib._05();
	this.item_3_a.setTransform(1345.3,208.1,1,1,0,0,0,76.2,105.2);

	this.item_2_b = new lib._04();
	this.item_2_b.setTransform(1048.4,208.1,1,1,0,0,0,76.1,105.2);

	this.item_2_a = new lib._03();
	this.item_2_a.setTransform(751.7,208.1,1,1,0,0,0,76.2,105.2);

	this.item_1_b = new lib._02();
	this.item_1_b.setTransform(454.9,208.1,1,1,0,0,0,76.2,105.2);

	this.item_1_a = new lib._01();
	this.item_1_a.setTransform(158.1,208.1,1,1,0,0,0,76.2,105.2);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.item_1_a},{t:this.item_1_b},{t:this.item_2_a},{t:this.item_2_b},{t:this.item_3_a},{t:this.item_3_b},{t:this.item_4_a},{t:this.item_4_b},{t:this.item_5_a},{t:this.item_5_b},{t:this.item_6_a},{t:this.item_6_b}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(21.3,20,1770.2,816.9);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{});
var lib, images, createjs;